cocoapods的升级更新

原创 2017年03月15日 19:30:58

最近使用cocoa pods时提示版本过低需要升级才能正常使用。


但是在升级过程中又出现了问题。

首先我是直接使用语句:sudo gem install cocoapods 进行更新升级的,没想到又报错了。


接着我在想是不是因为没有更新gem呢,于是就先更新下gem。

注意,更新gem时,使用语句:sudo gem update --system 


更新gem成功后,我又再次使用语句:sudo gem install cocoa pods 。还是提示失败?想想会不会是因为源路径出问题了,于是替换了源为:https://gems.ruby-china.org。


修改源后,继续使用语句:sudo gem install cocoa pods 。仍然异常。于是修改语句为:sudo gem install -n /usr/local/bin cocoa pods --pre 后则升级成功。




总结下来,要想成功升级cocoapods需要一个正确的操作流程和命令语句。

1、更新gem:sudo gem update --system

2、删除gem源:gem sources --remove https://ruby.taobao.org/

3、修改gem源:gem sources -a https://gems.ruby-china.org

4、查看gem源是否是最新的:gem sources -l

5、升级cocoapods:sudo gem install -n /usr/local/bin cocoapods --pre

6、查看升级后的cocoapods版本:pod --version



// cocoa pods更新后的语句使用示例
platform :ios, '8.0'
target:项目名称 do
pod 'SDWebImage', '~> 3.7.5'
end



版权声明:本文为博主原创文章,未经博主允许不得转载。

CocoaPods版本升级

升级CocoaPods的步骤和安装的时候差不多,具体参考如下步骤:1.首先我们可以查看下当前的版本号命令如下:// 可用 "pod --version" 命令查看版本,目前最新版本1.3.1 Last...
  • yaoliangjun306
  • yaoliangjun306
  • 2017年09月03日 17:51
  • 2488

升级 Cocoapods 到1.2.0指定版本,降低版本及卸载

=====================升级版本=================== CocoaPods 1.1.0+ is required to build SnapKit 3.0.0+. ...
  • hsf_study
  • hsf_study
  • 2017年04月10日 13:14
  • 5477

pod install与pod update的区别

1. 当你需要向向你的项目中安装新的pod库时使用`pod install`。即使之前你已经有一个Podfile并且执行了pod install,即使你是在向一个已经使用了CocoaPods的项目中添...
  • ShorewB
  • ShorewB
  • 2016年08月15日 00:52
  • 5486

cocoaPods更新问题解决

今天在运行项目时突然遇到异常报错:not find -lpod;一开始感觉很莫名其妙,随后意识到可能是cocoaPods的问题,于是尝试更新pod install,结果红色警告提示: The `ma...
  • XingXingRainLove
  • XingXingRainLove
  • 2016年11月21日 11:56
  • 1265

CocoaPods pod install/pod update更新慢的问题

最近使用CocoaPods来添加第三方类库,无论是执行pod install还是pod update都卡在了Analyzing dependencies不动 原因在于当执行以上两个命令的时候会升...
  • ralbatr
  • ralbatr
  • 2014年09月05日 17:01
  • 104234

Cocoapods安装及使用

最近项目中在集成视频播放,采用了封装很优秀的开源播放器MobileVLCKit,这里使用的是V2.2.2版本。期间遇到了pods安装相当慢的问题,这里就记录一下cocoapods的安装方法和针对下载速...
  • xttxqjfg
  • xttxqjfg
  • 2018年01月11日 13:48
  • 23

CocoaPods版本升级

和往常一样使用CocoaPods管理一个基于FMDB的项目类库 命令行执行 $ pod install [!] The 'master' repo requires Co...
  • leikezhu1981
  • leikezhu1981
  • 2014年09月29日 13:46
  • 27370

2017 最新的 cocoaPods 安装方法

第一步:安装rvm, 不管需不需要升级ruby,rvm可以让你拥有多个版本的Ruby,并且可以在多个版本之间自由切换。如果已经安装过跳到第2步(rvm -v 查看是否安装) $ curl ...
  • e62ces0iem
  • e62ces0iem
  • 2017年06月21日 17:02
  • 3131

CocoaPods版本升级

和往常一样使用CocoaPods管理一个基于FMDB的项目类库 命令行执行 $ pod install [!] The 'master' repo requires CocoaPods 0.32.1...
  • u013712343
  • u013712343
  • 2017年07月27日 12:20
  • 256

2017 Cocoapods的简单安装、使用与更新版本

Cocoapods的作用 1 管理第三方框架 2 自动下载第三方框架,而且会自动帮我们配置,不需要添加额外的第三方框架或者是动态库之类 当你开发iOS应用时,会经常使用到很多第三方开源类库,比如J...
  • sinat_31177681
  • sinat_31177681
  • 2016年05月10日 15:17
  • 4130
内容举报
返回顶部
收藏助手
不良信息举报
您举报文章:cocoapods的升级更新
举报原因:
原因补充:

(最多只允许输入30个字)